# Class yii\db\PdoValueBuilder

Inheritance | yii\db\PdoValueBuilder
Implements | yii\db\ExpressionBuilderInterface
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/PdoValueBuilder.php

Class PdoValueBuilder builds object of the yii\db\PdoValue expression class.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
build() | Method builds the raw SQL from the $expression that will not be additionally escaped or quoted. | yii\db\PdoValueBuilder

## Constants

Hide inherited constants

Constant | Value | Description | Defined By
--- | --- | --- | ---
PARAM_PREFIX | ':pv' |  | yii\db\PdoValueBuilder

## Method Details

build() public method

Method builds the raw SQL from the $expression that will not be additionally escaped or quoted.

public string build ( yii\db\ExpressionInterface $expression, array &$params = [] )
$expression | yii\db\ExpressionInterface | The expression to be built.
$params | array | The binding parameters.
return | string | The raw SQL that will not be additionally escaped or quoted.